Bug 1155745 (CVE-2014-3688) - CVE-2014-3688 kernel: net: sctp: remote memory pressure from excessive queueing
Summary: CVE-2014-3688 kernel: net: sctp: remote memory pressure from excessive queueing
Status: CLOSED ERRATA
Alias: CVE-2014-3688
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20141009,repo...
Keywords: Security
Depends On: 1152755 1154676 1155746 1155747 1155748 1155749 1155750 1155751
Blocks: 1147872
TreeView+ depends on / blocked
 
Reported: 2014-10-22 18:10 UTC by Petr Matousek
Modified: 2019-06-08 20:14 UTC (History)
30 users (show)

(edit)
A flaw was found in the way the Linux kernel's Stream Control Transmission Protocol (SCTP) implementation handled the association's output queue. A remote attacker could send specially crafted packets that would cause the system to use an excessive amount of memory, leading to a denial of service.
Clone Of:
(edit)
Last Closed: 2015-01-14 00:12:20 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC
Red Hat Product Errata RHSA-2014:1997 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-17 00:12:55 UTC
Red Hat Product Errata RHSA-2015:0043 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-01-13 23:27:54 UTC
Red Hat Product Errata RHSA-2015:0062 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-01-20 22:21:42 UTC
Red Hat Product Errata RHSA-2015:0115 normal SHIPPED_LIVE Important: kernel security update 2015-02-03 22:10:29 UTC

Description Petr Matousek 2014-10-22 18:10:43 UTC
It was found that Linux kernel's sctp stack is prone to remotely triggerable
memory pressure issue caused by excessive queueing.

A remote attacker could use this flaw to cause denial-of-service conditions on
the system.

Upstream commmit:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=26b87c7881006311828bb0ab271a551a62dcceb4

Comment 2 Petr Matousek 2014-10-22 18:12:04 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1155751]

Comment 3 Petr Matousek 2014-10-22 18:16:17 UTC
Statement:

This issue does affect Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG. Future Linux kernel updates for the respective releases will address this issue.

Comment 4 Fedora Update System 2014-10-28 06:43:13 UTC
kernel-3.16.6-202.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-03 05:22:56 UTC
kernel-3.17.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-11-16 14:46:33 UTC
kernel-3.14.23-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Martin Prpič 2014-12-05 14:28:41 UTC
IssueDescription:

A flaw was found in the way the Linux kernel's Stream Control Transmission Protocol (SCTP) implementation handled the association's output queue. A remote attacker could send specially crafted packets that would cause the system to use an excessive amount of memory, leading to a denial of service.

Comment 8 errata-xmlrpc 2014-12-09 20:37:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html

Comment 9 errata-xmlrpc 2014-12-16 19:13:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1997 https://rhn.redhat.com/errata/RHSA-2014-1997.html

Comment 10 errata-xmlrpc 2015-01-13 18:28:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2015:0043 https://rhn.redhat.com/errata/RHSA-2015-0043.html

Comment 11 errata-xmlrpc 2015-01-20 17:23:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0062 https://rhn.redhat.com/errata/RHSA-2015-0062.html

Comment 12 errata-xmlrpc 2015-02-03 17:12:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2015:0115 https://rhn.redhat.com/errata/RHSA-2015-0115.html


Note You need to log in before you can comment on or make changes to this bug.